Bug 1417584 - SELinux is preventing udev-add-printe from using the 'execmem' accesses on a process.
Summary: SELinux is preventing udev-add-printe from using the 'execmem' accesses on a ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f0e126946635f3048b7378b3dfd...
: 1507698 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 11:04 UTC by Delete My Account
Modified: 2017-12-31 00:00 UTC (History)
24 users (show)

Fixed In Version: selinux-policy-3.13.1-260.17.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-19 21:32:28 UTC
Type: ---


Attachments (Terms of Use)

Description Delete My Account 2017-01-30 11:04:48 UTC
Description of problem:
Printer HP Deskjet 1050A-J410 configuration
SELinux is preventing udev-add-printe from using the 'execmem' accesses on a process.

*****  Plugin catchall (100. confidence) suggests   **************************

If si crede che udev-add-printe dovrebbe avere possibilità di accesso execmem ai processi etichettati cupsd_config_t in modo predefinito.
Then si dovrebbe riportare il problema come bug.
E' possibile generare un modulo di politica locale per consentire questo accesso.
Do
allow this access for now by executing:
# ausearch -c 'udev-add-printe' --raw | audit2allow -M my-udevaddprinte
# semodule -X 300 -i my-udevaddprinte.pp

Additional Information:
Source Context                system_u:system_r:cupsd_config_t:s0
Target Context                system_u:system_r:cupsd_config_t:s0
Target Objects                Unknown [ process ]
Source                        udev-add-printe
Source Path                   udev-add-printe
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-235.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.10.0-0.rc5.git1.1.fc26.x86_64 #1
                              SMP Tue Jan 24 14:28:30 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2017-01-28 12:45:32 CET
Last Seen                     2017-01-28 12:45:32 CET
Local ID                      6b2a605e-c1fc-4ae0-978a-8cf94def1a53

Raw Audit Messages
type=AVC msg=audit(1485603932.35:681): avc:  denied  { execmem } for  pid=8742 comm="udev-add-printe" scontext=system_u:system_r:cupsd_config_t:s0 tcontext=system_u:system_r:cupsd_config_t:s0 tclass=process permissive=0


Hash: udev-add-printe,cupsd_config_t,cupsd_config_t,process,execmem

Version-Release number of selected component:
selinux-policy-3.13.1-235.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.0
hashmarkername: setroubleshoot
kernel:         4.10.0-0.rc5.git1.1.fc26.x86_64
type:           libreport

Comment 1 Fedora End Of Life 2017-02-28 11:08:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Pablo Estigarribia 2017-04-09 12:14:35 UTC
Description of problem:
When I connect print to USB, SELINUX prevents the assistant to launch. 

Version-Release number of selected component:
selinux-policy-3.13.1-249.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.0-0.rc5.git0.1.fc26.x86_64
type:           libreport

Comment 3 Mikhail 2017-06-19 18:28:39 UTC
Description of problem:
Just switch on USB printer HP LazerJet M1132MFP

Version-Release number of selected component:
selinux-policy-3.13.1-257.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.5-300.fc26.x86_64
type:           libreport

Comment 4 Fehmi Demiralp 2017-06-27 21:09:37 UTC
Description of problem:
A new printer Cannon iX6550 is connected to a USB port

Version-Release number of selected component:
selinux-policy-3.13.1-259.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.6-301.fc26.x86_64
type:           libreport

Comment 5 Jason D. Clinton 2017-07-06 03:09:25 UTC
Description of problem:
Attaching a printer.

Version-Release number of selected component:
selinux-policy-3.13.1-259.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.0-1.fc27.x86_64
type:           libreport

Comment 6 Pavel Ondračka 2017-07-12 17:31:45 UTC
Description of problem:
I just connected usb printer.

Version-Release number of selected component:
selinux-policy-3.13.1-259.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.9-300.fc26.x86_64
type:           libreport

Comment 7 imgx64+bzrh 2017-07-15 14:25:02 UTC
Description of problem:
Connected Canon MF-3010 printer to computer

Version-Release number of selected component:
selinux-policy-3.13.1-259.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.9-300.fc26.x86_64
type:           libreport

Comment 8 Don Swaner 2017-07-21 13:42:52 UTC
Description of problem:
Added printer after fresh install of F26.

Version-Release number of selected component:
selinux-policy-3.13.1-259.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.10-300.fc26.x86_64
type:           libreport

Comment 9 Marek Kašík 2017-07-26 15:09:14 UTC
Description of problem:
To reproduce the denial it is enough to connect a USB printer to your system when running e.g. Gnome on it. The udev script which should call a DBus method to add the printer won't execute and hence the printer is not added.

Version-Release number of selected component:
selinux-policy-3.13.1-260.1.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.11-300.fc26.x86_64
type:           libreport

Comment 10 Marek Kašík 2017-07-26 15:24:14 UTC
I'm reopening this bug because it is still valid.

Comment 11 Jack C. Holt 2017-07-29 15:39:34 UTC
Description of problem:
I attached a printer by USB

Version-Release number of selected component:
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.11-300.fc26.x86_64
type:           libreport

Comment 12 david.w.potter@btinternet.com 2017-08-07 17:02:17 UTC
Description of problem:
After upgrading to Fedora 26, I can no longer print from any applications. As soon as I try to print, I get a message saying printer stopped.

I use TurboPrint to provide the printer driver. My printer is a Canon MP640. I am able to print a test page from the TurboPrint control. 

I have never had a problem before with printing using TurboPrint.

I followed the instructions and executed the following commands:
sudo ausearch -c 'udev-add-printe' --raw | audit2allow -M my-udevaddprinte
sudo semodule -X 300 -i my-udevaddprinte.pp


Version-Release number of selected component:
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.11-300.fc26.x86_64
type:           libreport

Comment 13 david.w.potter@btinternet.com 2017-08-08 08:34:54 UTC
Please also see bug 1479260.

Comment 14 david.w.potter@btinternet.com 2017-08-08 09:02:16 UTC
If I disable SELinux (using the command sudo setenforce 0), I still can not print. After issuing the above command, I checked the status of SELinux using getenforce, and it was definitely set to permissive, yet I still have the same problem. Could this inability to print be somthing to do with CUPS? I restored SELinux using the command sudo setenforce 1.

Comment 15 david.w.potter@btinternet.com 2017-08-09 08:18:29 UTC
Downgrading the qpdf-libs package has solved the problem. See bug report 1478537.

Comment 16 tony 2017-10-31 00:07:52 UTC
Description of problem:
new install ?

Version-Release number of selected component:
selinux-policy-3.13.1-259.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.13.9-200.fc26.x86_64
type:           libreport

Comment 17 tony 2017-10-31 00:15:46 UTC
*** Bug 1507698 has been marked as a duplicate of this bug. ***

Comment 18 Kyle Marek 2017-11-11 02:13:23 UTC
Description of problem:
Plugged in HP LaserJet 4240n over USB (USB ID 03f0:6a17).

Version-Release number of selected component:
selinux-policy-3.13.1-260.1.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.10-300.fc26.x86_64
type:           libreport

Comment 19 Fedora Update System 2017-11-16 21:09:10 UTC
selinux-policy-3.13.1-260.16.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-39e6a2f7e7

Comment 20 Fedora Update System 2017-11-18 01:45:30 UTC
selinux-policy-3.13.1-260.16.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-39e6a2f7e7

Comment 21 Fedora Update System 2017-11-21 16:22:31 UTC
selinux-policy-3.13.1-260.17.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-39e6a2f7e7

Comment 22 Fedora Update System 2017-11-22 11:07:33 UTC
selinux-policy-3.13.1-260.17.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-39e6a2f7e7

Comment 23 Fedora Update System 2017-12-19 21:32:28 UTC
selinux-policy-3.13.1-260.17.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.